Bug 456979 - OpenOffice.org failed to open the .dxf file
OpenOffice.org failed to open the .dxf file
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.2
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 22:03 EDT by lihuang
Modified: 2008-07-30 02:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 02:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (35.38 KB, image/png)
2008-07-28 22:03 EDT, lihuang
no flags Details
the .dxf file used in the case (79.30 KB, application/octet-stream)
2008-07-28 22:04 EDT, lihuang
no flags Details
.psd file used in this case (17.94 MB, application/x-gzip)
2008-07-29 01:29 EDT, lihuang
no flags Details
an example .dxf (25.38 KB, application/octet-stream)
2008-07-29 04:09 EDT, Caolan McNamara
no flags Details
*PASSED* .psd file (656.99 KB, application/x-gzip)
2008-07-29 07:09 EDT, lihuang
no flags Details

  None (edit)
Description lihuang 2008-07-28 22:03:23 EDT
Description of problem:
OpenOffice.org failed to open the .dxf file

Version-Release number of selected component (if applicable):
openoffice.org-draw-2.3.0-6.7.el5.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1.Run 'ooffice ' in terminal 
2.From the menu bar,select File - open to open the .dxf file 
3.
  
Actual results:
A new blank window is shown. (see the screenshot)

Expected results:
OpenOffice.org should launch a new window displaying the graphic file

Additional info:
Comment 1 lihuang 2008-07-28 22:03:23 EDT
Created attachment 312835 [details]
screenshot
Comment 2 lihuang 2008-07-28 22:04:35 EDT
Created attachment 312836 [details]
the .dxf file used in the case
Comment 3 lihuang 2008-07-29 01:29:48 EDT
Created attachment 312846 [details]
.psd file used in this case

Got the same result when open a .psd file


$ file 001.psd 
001.psd: Adobe Photoshop Image
Comment 4 Caolan McNamara 2008-07-29 04:08:38 EDT
Well, actually in both cases something *is* imported. after the blank window is
opened after importing each document do "select all" (ctrl+A).

In the .psd you have a "bitmap with transparency" selected and in the .dxf you
have a "metafile" selected.

Without a comparison piece of software known to import these correctly I have no
reference to know if the import is correct or not.

I attach a sample .dxf I downloaded from
http://www.softsource.com/plugins/miscpipe.dxf to show an example of a .dxf that
definitely works
Comment 5 Caolan McNamara 2008-07-29 04:09:18 EDT
Created attachment 312850 [details]
an example .dxf
Comment 6 Lawrence Lim 2008-07-29 06:44:08 EDT
llim->lhuang
Please retest and keep a copy og the .dxf for future use.
Comment 7 lihuang 2008-07-29 07:09:27 EDT
Created attachment 312856 [details]
*PASSED* .psd file 

*PASSED* with this .dxf file 

re-tested the .psd case with the attachment file. passed as well.


( BTW . the .dxf file in comment #2  is converted form .svg file by inkscape)
Comment 8 Lawrence Lim 2008-07-30 02:46:29 EDT
Thanks. Resolving bug.

Note You need to log in before you can comment on or make changes to this bug.